summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/wile/Manifest2
-rw-r--r--app-crypt/wile/wile-1.0.1.ebuild33
-rw-r--r--app-crypt/wile/wile-1.0.5.ebuild32
-rw-r--r--app-crypt/wile/wile-1.0.6-r1.ebuild (renamed from app-crypt/wile/wile-1.0.6.ebuild)12
4 files changed, 9 insertions, 70 deletions
diff --git a/app-crypt/wile/Manifest b/app-crypt/wile/Manifest
index e5b3eb7..93c399f 100644
--- a/app-crypt/wile/Manifest
+++ b/app-crypt/wile/Manifest
@@ -1,3 +1 @@
-DIST wile-1.0.1.tar.gz 28767 SHA256 0355bc5516fd48a0183a8aa147fcbd1f90d896102d1b4e6f51111bfb2e2ab7a6 SHA512 8ea7e17297bf4af9724b16d2e36676f2ab4ad51b098354c12dac13ab8445d49d80a3aa36bd5dba9c04b520dfceae21e66f49086bb9c183bdc1eac2b38e8d5a3c WHIRLPOOL 9d3b702d0d8aebca2446969e10e21e52ebfe68999ffcb5a4bbb868cda5a60111054934cadbe62bb9b6cd240ebe91c27f27ebcd21c0b255e7c9fd1f62ad2c4945
-DIST wile-1.0.5.tar.gz 28875 SHA256 f69106793e23a7f39b01cdc24871e1b6ed0181894fc912cd3c7e818f2f74eee5 SHA512 974b425d9ec4f310a52ac52287ee0fc814adcf089b43039b36d26aaa3db71819f227d97bdd19056ab7837c559546f4d015fa2a64c27066b7fc3b76836c412669 WHIRLPOOL 2fe7ba765451ad6714d2837f3be831b3abb47861988d501ce9c36eb44ffc115059f7a63ce04888fed4442e31c687e09363cb7bb2842b657ec55124a146b6bd3f
DIST wile-1.0.6.tar.gz 28893 SHA256 d00eefe1605fbf9a1d0a280283c0817cd1d6e3c2420ef5fffadb51d2ec772671 SHA512 84cb0c62c4652ad783f78e48a4492684839465c376ac2eac7083bfd19feff4ba361d2648fcc703015b812725a808f3c5d06f64e24ccec3d8c0e93f362fa45157 WHIRLPOOL a47e8885a46769f5eda4bc0061e5b4bf662533ac30634765c3fed1a7105670aedd94d79e43e788c89bf619ce0bed356cd216803c6f2b207976d3ed00fcc55241
diff --git a/app-crypt/wile/wile-1.0.1.ebuild b/app-crypt/wile/wile-1.0.1.ebuild
deleted file mode 100644
index 7579bb5..0000000
--- a/app-crypt/wile/wile-1.0.1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 )
-inherit distutils-r1
-
-DESCRIPTION="Stripped down letsencrypt (ACME) client"
-HOMEPAGE="https://github.com/costela/wile"
-SRC_URI="https://github.com/costela/wile/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="
- >=dev-python/setuptools-38.5.1[${PYTHON_USEDEP}]
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- "
-RDEPEND="
- >=app-crypt/acme-0.21[${PYTHON_USEDEP}]
- dev-python/josepy[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/click[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/paramiko[${PYTHON_USEDEP}]
- "
-
-DOCS=( README.md )
-
diff --git a/app-crypt/wile/wile-1.0.5.ebuild b/app-crypt/wile/wile-1.0.5.ebuild
deleted file mode 100644
index 8d8b140..0000000
--- a/app-crypt/wile/wile-1.0.5.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 )
-inherit distutils-r1
-
-DESCRIPTION="Stripped down letsencrypt (ACME) client"
-HOMEPAGE="https://github.com/costela/wile"
-SRC_URI="https://github.com/costela/wile/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="
- >=dev-python/setuptools-38.5.1[${PYTHON_USEDEP}]
- dev-python/setuptools_scm[${PYTHON_USEDEP}]
- "
-RDEPEND="
- >app-crypt/acme-0.22[${PYTHON_USEDEP}]
- dev-python/josepy[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
- <dev-python/click-7[${PYTHON_USEDEP}]
- dev-python/pyopenssl[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/paramiko[${PYTHON_USEDEP}]
- "
-
-DOCS=( README.md )
diff --git a/app-crypt/wile/wile-1.0.6.ebuild b/app-crypt/wile/wile-1.0.6-r1.ebuild
index 136c258..4951382 100644
--- a/app-crypt/wile/wile-1.0.6.ebuild
+++ b/app-crypt/wile/wile-1.0.6-r1.ebuild
@@ -1,9 +1,11 @@
-# Copyright 1999-2019 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python2_7 )
+PYTHON_COMPAT=( python3_{6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
inherit distutils-r1
DESCRIPTION="Stripped down letsencrypt (ACME) client"
@@ -17,8 +19,8 @@ IUSE=""
DEPEND="
dev-python/pytest-runner[${PYTHON_USEDEP}]
- >=dev-python/setuptools-38.5.1[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/testfixtures[${PYTHON_USEDEP}] )
"
RDEPEND="
>app-crypt/acme-0.22[${PYTHON_USEDEP}]
@@ -31,3 +33,7 @@ RDEPEND="
"
DOCS=( README.md )
+
+RESTRICT="test"
+
+distutils_enable_tests pytest